#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#


%define rel 1

Name: kde-dev-utils
Summary: K Desktop Environment - Software Development Kit
Version: 4.12.5
Group: Graphical desktop/KDE
Release: %mkrel %{rel}
Epoch: 1
License: GPLv2 and LGPLv2 and GFDL
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%{name}-%{version}.tar.xz

BuildRequires: kdepimlibs4-devel >= 2:%version
BuildRequires: binutils-devel

Conflicts: kdesdk4-core < 1:4.10.80
Conflicts: kdesdk4-devel < 1:4.10.80

Obsoletes: kuiviewer < 1:4.10.80
Conflicts: kuiviewer < 1:4.10.80
Provides:  kuiviewer = %{epoch}:%{version}-%{release}

Obsoletes: kbugbuster < 1:4.5.76

%description
Software Development Kit for the K Desktop Environment.

%files
%_kde_bindir/kpartloader
%_kde_bindir/kuiviewer
%_kde_libdir/kde4/kuiviewerpart.so
%_kde_libdir/kde4/quithumbnail.so
%_kde_applicationsdir/kuiviewer.desktop
%_kde_appsdir/kpartloader/
%_kde_appsdir/kuiviewer/
%_kde_appsdir/kuiviewerpart/
%_kde_iconsdir/hicolor/*/apps/kuiviewer.png
%_kde_services/designerthumbnail.desktop
%_kde_services/kuiviewer_part.desktop
%_kde_includedir/kprofilemethod.h

#------------------------------------------------------------------------------
%if 0
# TODO: Find missing buildrequire
%package -n kstartperf
Summary: Startup time measurement for KDE apps
Group: Graphical desktop/KDE

%description -n kstartperf
KStartPerf measures startup time for KDE applications

%files -n kstartperf
%_kde_bindir/kstartperf
%_kde_libdir/kde4/kstartperf.so
%endif
#------------------------------------------------------------------------------

%package -n kmtrace
Summary: Memory Allocation Debugging Tool
Group: Graphical desktop/KDE
Conflicts:  kdesdk4-scripts < 1:4.10.80

%description -n kmtrace
A Memory Allocation Debugging Tool.

%files -n kmtrace
%_kde_bindir/kmtrace
%_kde_bindir/demangle
%_kde_bindir/kminspector
%_kde_bindir/kmmatch
%_kde_appsdir/kmtrace
%_mandir/man1/demangle.1.xz

#------------------------------------------------------------------------------

%define  ktrace_major 4
%define  libktrace %mklibname ktrace %ktrace_major

%package -n %libktrace
Summary: Runtime library for Kmtrace
Group: System/Libraries

%description -n %libktrace
Runtime library for Kmtrace.

%files -n %libktrace
%_kde_libdir/libktrace.so.%{ktrace_major}*

#------------------------------------------------------------------------------


%package    -n kmtrace-devel
Summary:    Header files for kmtrace
Group:      Development/KDE and Qt
Conflicts:  kdesdk4-devel < 1:4.10.80 

%description  -n kmtrace-devel
This package includes the header files you will need to compile applications
against kmtrace.

%files -n kmtrace-devel
%_kde_includedir/ktrace.h
%_kde_libdir/libktrace.so

#------------------------------------------------------------------------------

%prep
%setup -q 

%build
export LD=/usr/bin/ld.gold
%cmake_kde4 -DKDE4_ENABLE_FINAL=OFF
%make

%install
rm -fr %buildroot
%makeinstall_std -C build


%changelog
* Sun Jun 29 2014 lmenut <lmenut> 1:4.12.5-1.mga4
+ Revision: 641280
- Update to KDE SC 4.12.5

  + neoclust <neoclust>
    - New version 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 1:4.11.4-1.mga4
+ Revision: 554970
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 1:4.11.3-1.mga4
+ Revision: 551239
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 1:4.11.2-2.mga4
+ Revision: 540390
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 1:4.11.2-1.mga4
+ Revision: 490823
- Update tarball to KDE SC 4.11.2

* Mon Sep 09 2013 mikala <mikala> 1:4.11.1-1.mga4
+ Revision: 476904
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 1:4.11.0-1.mga4
+ Revision: 465244
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 1:4.10.97-1.mga4
+ Revision: 458884
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Sat Jul 20 2013 neoclust <neoclust> 1:4.10.95-4.mga4
+ Revision: 456645
- Fix kmtrace devel package name ( thanks to luc for seeing this error )

* Sat Jul 20 2013 neoclust <neoclust> 1:4.10.95-3.mga4
+ Revision: 456596
- Fix requires, do not requires kde-dev-utils-core which does not exists
- Enable kmtrace and kstartperf

* Wed Jul 17 2013 lmenut <lmenut> 1:4.10.95-1.mga4
+ Revision: 455274
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Fri Jun 28 2013 mikala <mikala> 1:4.10.90-1.mga4
+ Revision: 448018
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- imported package kde-dev-utils

  + lmenut <lmenut>
    - Fix conflicts

